summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GridDataFormats/GridDataFormats-0.4.0-r1.ebuild2
-rw-r--r--dev-python/bottleneck/bottleneck-1.3.2.ebuild2
-rw-r--r--dev-python/dask/dask-1.2.0.ebuild2
-rw-r--r--dev-python/dask/dask-2.22.0.ebuild2
-rw-r--r--dev-python/dask/dask-2.23.0.ebuild2
-rw-r--r--dev-python/dask/dask-2.24.0.ebuild2
-rw-r--r--dev-python/dask/dask-2.25.0.ebuild2
-rw-r--r--dev-python/dask/dask-2.26.0.ebuild2
-rw-r--r--dev-python/graph-tool/graph-tool-2.29.ebuild2
-rw-r--r--dev-python/graph-tool/graph-tool-9999.ebuild2
-rw-r--r--dev-python/lmfit/lmfit-1.0.1.ebuild2
-rw-r--r--dev-python/matplotlib/matplotlib-3.2.2-r2.ebuild2
-rw-r--r--dev-python/matplotlib/matplotlib-3.3.0-r1.ebuild2
-rw-r--r--dev-python/matplotlib/matplotlib-3.3.1-r2.ebuild2
-rw-r--r--dev-python/matplotlib/matplotlib-3.3.2.ebuild2
-rw-r--r--dev-python/moviepy/moviepy-1.0.1-r1.ebuild2
-rw-r--r--dev-python/networkx/networkx-2.4-r1.ebuild4
-rw-r--r--dev-python/networkx/networkx-2.5.ebuild4
-rw-r--r--dev-python/nltk/nltk-3.5.ebuild2
-rw-r--r--dev-python/oct2py/oct2py-5.2.0-r1.ebuild2
-rw-r--r--dev-python/pandas/pandas-1.0.5.ebuild6
-rw-r--r--dev-python/pandas/pandas-1.1.0.ebuild6
-rw-r--r--dev-python/pandas/pandas-1.1.1.ebuild6
-rw-r--r--dev-python/pandas/pandas-1.1.2.ebuild6
-rw-r--r--dev-python/patsy/patsy-0.5.1.ebuild2
-rw-r--r--dev-python/pslab-python/pslab-python-1.0.1-r1.ebuild2
-rw-r--r--dev-python/pweave/pweave-0.30.3-r1.ebuild2
-rw-r--r--dev-python/pyamg/pyamg-3.2.1-r1.ebuild2
-rw-r--r--dev-python/pyqtgraph/pyqtgraph-0.11.0_rc0.ebuild2
-rw-r--r--dev-python/scipy/Manifest15
-rw-r--r--dev-python/scipy/metadata.xml27
-rw-r--r--dev-python/scipy/scipy-1.1.0.ebuild148
-rw-r--r--dev-python/scipy/scipy-1.4.1.ebuild154
-rw-r--r--dev-python/scipy/scipy-1.5.0.ebuild154
-rw-r--r--dev-python/scipy/scipy-1.5.1.ebuild154
-rw-r--r--dev-python/scipy/scipy-1.5.2.ebuild160
-rw-r--r--dev-python/seaborn/seaborn-0.10.0.ebuild2
-rw-r--r--dev-python/seaborn/seaborn-0.10.1.ebuild2
-rw-r--r--dev-python/simplespectral/metadata.xml2
-rw-r--r--dev-python/simplespectral/simplespectral-1.0.0.ebuild2
-rw-r--r--dev-python/simplespectral/simplespectral-9999.ebuild2
-rw-r--r--dev-python/spyder-kernels/spyder-kernels-1.9.2.ebuild2
-rw-r--r--dev-python/spyder-kernels/spyder-kernels-1.9.4.ebuild2
-rw-r--r--dev-python/spyder/spyder-4.1.4.ebuild4
-rw-r--r--dev-python/spyder/spyder-4.1.5.ebuild4
-rw-r--r--dev-python/statsmodels/statsmodels-0.11.1.ebuild2
-rw-r--r--dev-python/statsmodels/statsmodels-0.12.0.ebuild4
-rw-r--r--dev-python/statsmodels/statsmodels-9999.ebuild2
-rw-r--r--dev-python/theano/theano-1.0.5.ebuild2
-rw-r--r--dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild2
-rw-r--r--dev-python/uranium/uranium-4.6.1.ebuild2
-rw-r--r--dev-python/uranium/uranium-4.7.0.ebuild2
-rw-r--r--dev-python/xarray/xarray-0.12.1.ebuild2
-rw-r--r--dev-python/xarray/xarray-0.16.0.ebuild2
54 files changed, 872 insertions, 60 deletions
diff --git a/dev-python/GridDataFormats/GridDataFormats-0.4.0-r1.ebuild b/dev-python/GridDataFormats/GridDataFormats-0.4.0-r1.ebuild
index 9fe4d0a0e85b..74f8f99edd54 100644
--- a/dev-python/GridDataFormats/GridDataFormats-0.4.0-r1.ebuild
+++ b/dev-python/GridDataFormats/GridDataFormats-0.4.0-r1.ebuild
@@ -19,4 +19,4 @@ IUSE=""
BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="
>=dev-python/numpy-1.0.3[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]"
+ dev-python/scipy[${PYTHON_USEDEP}]"
diff --git a/dev-python/bottleneck/bottleneck-1.3.2.ebuild b/dev-python/bottleneck/bottleneck-1.3.2.ebuild
index cc85db2cccfb..6c26824281ba 100644
--- a/dev-python/bottleneck/bottleneck-1.3.2.ebuild
+++ b/dev-python/bottleneck/bottleneck-1.3.2.ebuild
@@ -18,7 +18,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/numpy-1.9.1[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
diff --git a/dev-python/dask/dask-1.2.0.ebuild b/dev-python/dask/dask-1.2.0.ebuild
index 561a15e629df..37102d7058d6 100644
--- a/dev-python/dask/dask-1.2.0.ebuild
+++ b/dev-python/dask/dask-1.2.0.ebuild
@@ -36,7 +36,7 @@ DEPEND="
dev-python/numexpr[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/dask/dask-2.22.0.ebuild b/dev-python/dask/dask-2.22.0.ebuild
index f99ce3726dca..4ba14c792b91 100644
--- a/dev-python/dask/dask-2.22.0.ebuild
+++ b/dev-python/dask/dask-2.22.0.ebuild
@@ -34,7 +34,7 @@ BDEPEND="
dev-python/numexpr[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/s3fs-0.0.8[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/dask/dask-2.23.0.ebuild b/dev-python/dask/dask-2.23.0.ebuild
index ca386a69eec2..3489dff69303 100644
--- a/dev-python/dask/dask-2.23.0.ebuild
+++ b/dev-python/dask/dask-2.23.0.ebuild
@@ -34,7 +34,7 @@ BDEPEND="
dev-python/numexpr[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/s3fs-0.0.8[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/dask/dask-2.24.0.ebuild b/dev-python/dask/dask-2.24.0.ebuild
index b0c47455277a..61df563da702 100644
--- a/dev-python/dask/dask-2.24.0.ebuild
+++ b/dev-python/dask/dask-2.24.0.ebuild
@@ -34,7 +34,7 @@ BDEPEND="
dev-python/numexpr[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/s3fs-0.0.8[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/dask/dask-2.25.0.ebuild b/dev-python/dask/dask-2.25.0.ebuild
index eb47b5d4660c..bb975ebbad7a 100644
--- a/dev-python/dask/dask-2.25.0.ebuild
+++ b/dev-python/dask/dask-2.25.0.ebuild
@@ -30,7 +30,7 @@ BDEPEND="
dev-python/numexpr[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/s3fs-0.0.8[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/dask/dask-2.26.0.ebuild b/dev-python/dask/dask-2.26.0.ebuild
index 9741a26c5870..e188a716d44c 100644
--- a/dev-python/dask/dask-2.26.0.ebuild
+++ b/dev-python/dask/dask-2.26.0.ebuild
@@ -31,7 +31,7 @@ BDEPEND="
dev-python/numexpr[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/s3fs-0.0.8[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/graph-tool/graph-tool-2.29.ebuild b/dev-python/graph-tool/graph-tool-2.29.ebuild
index 90b94419f20b..0b9a248e3700 100644
--- a/dev-python/graph-tool/graph-tool-2.29.ebuild
+++ b/dev-python/graph-tool/graph-tool-2.29.ebuild
@@ -28,7 +28,7 @@ RDEPEND="
>=dev-libs/boost-1.70:=[context,python,${PYTHON_USEDEP}]
dev-libs/expat:=
dev-python/numpy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
sci-mathematics/cgal:=
cairo? (
dev-cpp/cairomm
diff --git a/dev-python/graph-tool/graph-tool-9999.ebuild b/dev-python/graph-tool/graph-tool-9999.ebuild
index 90b94419f20b..0b9a248e3700 100644
--- a/dev-python/graph-tool/graph-tool-9999.ebuild
+++ b/dev-python/graph-tool/graph-tool-9999.ebuild
@@ -28,7 +28,7 @@ RDEPEND="
>=dev-libs/boost-1.70:=[context,python,${PYTHON_USEDEP}]
dev-libs/expat:=
dev-python/numpy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
sci-mathematics/cgal:=
cairo? (
dev-cpp/cairomm
diff --git a/dev-python/lmfit/lmfit-1.0.1.ebuild b/dev-python/lmfit/lmfit-1.0.1.ebuild
index 3b27e1c92c05..8f2bfa1ccdd6 100644
--- a/dev-python/lmfit/lmfit-1.0.1.ebuild
+++ b/dev-python/lmfit/lmfit-1.0.1.ebuild
@@ -18,7 +18,7 @@ BDEPEND="
>=dev-python/asteval-0.9.16[${PYTHON_USEDEP}]
>=dev-python/numpy-1.16[${PYTHON_USEDEP}]
>=dev-python/uncertainties-3.0.1[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.2[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.2[${PYTHON_USEDEP}]
"
RDEPEND="${DEPEND}"
diff --git a/dev-python/matplotlib/matplotlib-3.2.2-r2.ebuild b/dev-python/matplotlib/matplotlib-3.2.2-r2.ebuild
index 3296b24075d0..de55fd15dca0 100644
--- a/dev-python/matplotlib/matplotlib-3.2.2-r2.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.2.2-r2.ebuild
@@ -81,7 +81,7 @@ BDEPEND="
>=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
>=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
>=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
>=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
diff --git a/dev-python/matplotlib/matplotlib-3.3.0-r1.ebuild b/dev-python/matplotlib/matplotlib-3.3.0-r1.ebuild
index 92a63fef1567..068882d344d6 100644
--- a/dev-python/matplotlib/matplotlib-3.3.0-r1.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.3.0-r1.ebuild
@@ -81,7 +81,7 @@ BDEPEND="
>=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
>=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
>=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
>=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
diff --git a/dev-python/matplotlib/matplotlib-3.3.1-r2.ebuild b/dev-python/matplotlib/matplotlib-3.3.1-r2.ebuild
index d8b120fa06ff..39022728532a 100644
--- a/dev-python/matplotlib/matplotlib-3.3.1-r2.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.3.1-r2.ebuild
@@ -82,7 +82,7 @@ BDEPEND="
>=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
>=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
>=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
>=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
diff --git a/dev-python/matplotlib/matplotlib-3.3.2.ebuild b/dev-python/matplotlib/matplotlib-3.3.2.ebuild
index 9ded3690e457..f3c2b26d36e1 100644
--- a/dev-python/matplotlib/matplotlib-3.3.2.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.3.2.ebuild
@@ -82,7 +82,7 @@ BDEPEND="
>=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
>=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
>=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
>=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
diff --git a/dev-python/moviepy/moviepy-1.0.1-r1.ebuild b/dev-python/moviepy/moviepy-1.0.1-r1.ebuild
index d50206e77d36..97a5c0f42da6 100644
--- a/dev-python/moviepy/moviepy-1.0.1-r1.ebuild
+++ b/dev-python/moviepy/moviepy-1.0.1-r1.ebuild
@@ -27,7 +27,7 @@ RDEPEND="
dev-python/pygame[${PYTHON_USEDEP}]
dev-python/tqdm[${PYTHON_USEDEP}]
dev-python/urllib3[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
media-video/ffmpeg
"
DEPEND="${RDEPEND}"
diff --git a/dev-python/networkx/networkx-2.4-r1.ebuild b/dev-python/networkx/networkx-2.4-r1.ebuild
index d98c149620d1..989d4d5da9a9 100644
--- a/dev-python/networkx/networkx-2.4-r1.ebuild
+++ b/dev-python/networkx/networkx-2.4-r1.ebuild
@@ -29,11 +29,11 @@ RDEPEND="
pandas? (
>=dev-python/pandas-0.23.3[${PYTHON_USEDEP}]
)
- scipy? ( >=sci-libs/scipy-1.1.0[${PYTHON_USEDEP}] )
+ scipy? ( >=dev-python/scipy-1.1.0[${PYTHON_USEDEP}] )
xml? ( >=dev-python/lxml-4.2.3[${PYTHON_USEDEP}] )
yaml? ( >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}] )"
BDEPEND="
- test? ( >=sci-libs/scipy-1.1.0[${PYTHON_USEDEP}] )"
+ test? ( >=dev-python/scipy-1.1.0[${PYTHON_USEDEP}] )"
distutils_enable_tests pytest
diff --git a/dev-python/networkx/networkx-2.5.ebuild b/dev-python/networkx/networkx-2.5.ebuild
index 7b9a1d6f392f..e3df9c8c3bcf 100644
--- a/dev-python/networkx/networkx-2.5.ebuild
+++ b/dev-python/networkx/networkx-2.5.ebuild
@@ -29,12 +29,12 @@ RDEPEND="
pandas? (
>=dev-python/pandas-0.23.3[${PYTHON_USEDEP}]
)
- scipy? ( >=sci-libs/scipy-1.1.0[${PYTHON_USEDEP}] )
+ scipy? ( >=dev-python/scipy-1.1.0[${PYTHON_USEDEP}] )
xml? ( >=dev-python/lxml-4.2.3[${PYTHON_USEDEP}] )
yaml? ( >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}] )"
BDEPEND="
test? (
- >=sci-libs/scipy-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1.0[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest
diff --git a/dev-python/nltk/nltk-3.5.ebuild b/dev-python/nltk/nltk-3.5.ebuild
index d127c3a08cfd..3cf78bba0f11 100644
--- a/dev-python/nltk/nltk-3.5.ebuild
+++ b/dev-python/nltk/nltk-3.5.ebuild
@@ -32,7 +32,7 @@ BDEPEND="
dev-python/pyparsing[${PYTHON_USEDEP}]
dev-python/twython[${PYTHON_USEDEP}]
sci-libs/scikits_learn[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
)"
PDEPEND="dev-python/nltk-data"
diff --git a/dev-python/oct2py/oct2py-5.2.0-r1.ebuild b/dev-python/oct2py/oct2py-5.2.0-r1.ebuild
index 475ad273c818..394f090b4be0 100644
--- a/dev-python/oct2py/oct2py-5.2.0-r1.ebuild
+++ b/dev-python/oct2py/oct2py-5.2.0-r1.ebuild
@@ -21,7 +21,7 @@ IUSE="examples"
RDEPEND="
>=dev-python/numpy-1.12[${PYTHON_USEDEP}]
>=dev-python/octave_kernel-0.31.0[${PYTHON_USEDEP}]
- >=sci-libs/scipy-0.17[${PYTHON_USEDEP}]"
+ >=dev-python/scipy-0.17[${PYTHON_USEDEP}]"
BDEPEND="
test? (
dev-python/ipython[${PYTHON_USEDEP}]
diff --git a/dev-python/pandas/pandas-1.0.5.ebuild b/dev-python/pandas/pandas-1.0.5.ebuild
index a58806fe2056..ed65359d2c39 100644
--- a/dev-python/pandas/pandas-1.0.5.ebuild
+++ b/dev-python/pandas/pandas-1.0.5.ebuild
@@ -50,7 +50,7 @@ OPTIONAL_DEPEND="
>=dev-python/sqlalchemy-0.8.1[${PYTHON_USEDEP}]
>=dev-python/xlrd-1.0.0[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
X? (
|| (
dev-python/PyQt5[${PYTHON_USEDEP}]
@@ -84,7 +84,7 @@ DEPEND="${COMMON_DEPEND}
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/xlrd[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
x11-misc/xclip
)
test? (
@@ -170,6 +170,6 @@ pkg_postinst() {
optfeature "R I/O support" dev-python/rpy
optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
optfeature "SQL database support" ">=dev-python/sqlalchemy-0.8.1"
- optfeature "miscellaneous statistical functions" sci-libs/scipy
+ optfeature "miscellaneous statistical functions" dev-python/scipy
optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/pygtk x11-misc/xclip x11-misc/xsel
}
diff --git a/dev-python/pandas/pandas-1.1.0.ebuild b/dev-python/pandas/pandas-1.1.0.ebuild
index 0497d0641024..0a4ffee00749 100644
--- a/dev-python/pandas/pandas-1.1.0.ebuild
+++ b/dev-python/pandas/pandas-1.1.0.ebuild
@@ -50,7 +50,7 @@ OPTIONAL_DEPEND="
>=dev-python/sqlalchemy-0.8.1[${PYTHON_USEDEP}]
>=dev-python/xlrd-1.0.0[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
X? (
|| (
dev-python/PyQt5[${PYTHON_USEDEP}]
@@ -83,7 +83,7 @@ DEPEND="${COMMON_DEPEND}
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/xlrd[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
x11-misc/xclip
)
test? (
@@ -172,6 +172,6 @@ pkg_postinst() {
optfeature "R I/O support" dev-python/rpy
optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
optfeature "SQL database support" ">=dev-python/sqlalchemy-0.8.1"
- optfeature "miscellaneous statistical functions" sci-libs/scipy
+ optfeature "miscellaneous statistical functions" dev-python/scipy
optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/pygtk x11-misc/xclip x11-misc/xsel
}
diff --git a/dev-python/pandas/pandas-1.1.1.ebuild b/dev-python/pandas/pandas-1.1.1.ebuild
index de735561e5c8..fac714b52820 100644
--- a/dev-python/pandas/pandas-1.1.1.ebuild
+++ b/dev-python/pandas/pandas-1.1.1.ebuild
@@ -50,7 +50,7 @@ OPTIONAL_DEPEND="
>=dev-python/sqlalchemy-0.8.1[${PYTHON_USEDEP}]
>=dev-python/xlrd-1.0.0[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
X? (
|| (
dev-python/PyQt5[${PYTHON_USEDEP}]
@@ -83,7 +83,7 @@ DEPEND="${COMMON_DEPEND}
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/xlrd[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
x11-misc/xclip
)
test? (
@@ -176,6 +176,6 @@ pkg_postinst() {
optfeature "R I/O support" dev-python/rpy
optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
optfeature "SQL database support" ">=dev-python/sqlalchemy-0.8.1"
- optfeature "miscellaneous statistical functions" sci-libs/scipy
+ optfeature "miscellaneous statistical functions" dev-python/scipy
optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/pygtk x11-misc/xclip x11-misc/xsel
}
diff --git a/dev-python/pandas/pandas-1.1.2.ebuild b/dev-python/pandas/pandas-1.1.2.ebuild
index de735561e5c8..fac714b52820 100644
--- a/dev-python/pandas/pandas-1.1.2.ebuild
+++ b/dev-python/pandas/pandas-1.1.2.ebuild
@@ -50,7 +50,7 @@ OPTIONAL_DEPEND="
>=dev-python/sqlalchemy-0.8.1[${PYTHON_USEDEP}]
>=dev-python/xlrd-1.0.0[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
X? (
|| (
dev-python/PyQt5[${PYTHON_USEDEP}]
@@ -83,7 +83,7 @@ DEPEND="${COMMON_DEPEND}
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/xlrd[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
x11-misc/xclip
)
test? (
@@ -176,6 +176,6 @@ pkg_postinst() {
optfeature "R I/O support" dev-python/rpy
optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
optfeature "SQL database support" ">=dev-python/sqlalchemy-0.8.1"
- optfeature "miscellaneous statistical functions" sci-libs/scipy
+ optfeature "miscellaneous statistical functions" dev-python/scipy
optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/pygtk x11-misc/xclip x11-misc/xsel
}
diff --git a/dev-python/patsy/patsy-0.5.1.ebuild b/dev-python/patsy/patsy-0.5.1.ebuild
index e6498661a786..c36858bb581b 100644
--- a/dev-python/patsy/patsy-0.5.1.ebuild
+++ b/dev-python/patsy/patsy-0.5.1.ebuild
@@ -18,7 +18,7 @@ IUSE="doc"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
"
BDEPEND="
doc? (
diff --git a/dev-python/pslab-python/pslab-python-1.0.1-r1.ebuild b/dev-python/pslab-python/pslab-python-1.0.1-r1.ebuild
index 9701c59385aa..0b79bdd0a057 100644
--- a/dev-python/pslab-python/pslab-python-1.0.1-r1.ebuild
+++ b/dev-python/pslab-python/pslab-python-1.0.1-r1.ebuild
@@ -18,7 +18,7 @@ KEYWORDS="amd64"
RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pyqtgraph[${PYTHON_USEDEP}]
dev-python/pyserial[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]"
+ dev-python/scipy[${PYTHON_USEDEP}]"
PATCHES=(
"${FILESDIR}"/${PN}-1.0.1-sys_version.patch
diff --git a/dev-python/pweave/pweave-0.30.3-r1.ebuild b/dev-python/pweave/pweave-0.30.3-r1.ebuild
index f85db19e41dd..30b5cb9ebd19 100644
--- a/dev-python/pweave/pweave-0.30.3-r1.ebuild
+++ b/dev-python/pweave/pweave-0.30.3-r1.ebuild
@@ -40,7 +40,7 @@ DEPEND="test? (
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
dev-python/notebook[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}] )"
+ dev-python/scipy[${PYTHON_USEDEP}] )"
S="${WORKDIR}/${MY_P}"
diff --git a/dev-python/pyamg/pyamg-3.2.1-r1.ebuild b/dev-python/pyamg/pyamg-3.2.1-r1.ebuild
index f16d431c5e37..cc9224f2094e 100644
--- a/dev-python/pyamg/pyamg-3.2.1-r1.ebuild
+++ b/dev-python/pyamg/pyamg-3.2.1-r1.ebuild
@@ -19,7 +19,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
test? ( dev-python/nose[${PYTHON_USEDEP}] )
diff --git a/dev-python/pyqtgraph/pyqtgraph-0.11.0_rc0.ebuild b/dev-python/pyqtgraph/pyqtgraph-0.11.0_rc0.ebuild
index 2259d40e1ec3..d6e54830b5ac 100644
--- a/dev-python/pyqtgraph/pyqtgraph-0.11.0_rc0.ebuild
+++ b/dev-python/pyqtgraph/pyqtgraph-0.11.0_rc0.ebuild
@@ -20,7 +20,7 @@ KEYWORDS="amd64 x86"
IUSE="examples opengl svg"
RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
dev-python/PyQt5[gui,widgets,opengl=,svg=,${PYTHON_USEDEP}]
opengl? ( dev-python/pyopengl[${PYTHON_USEDEP}] )"
diff --git a/dev-python/scipy/Manifest b/dev-python/scipy/Manifest
new file mode 100644
index 000000000000..9ed4593e3fc8
--- /dev/null
+++ b/dev-python/scipy/Manifest
@@ -0,0 +1,15 @@
+DIST scipy-1.1.0-html.zip 49851258 BLAKE2B 528df7ed8aa8e56662f436f31ee9e1d6d72d6fe962f9f0f6f84b7a2704b53009ce333b2102ec73bb7795110f8a61b18246aab95b1e21055f2b68c0ff2225b7bb SHA512 a03894a22a67c1359ee6206e9e1c9de1f926a7f829f5039f161e78df735708da09b0e51cdad3bf36bfede701d0bc5dc44f8cc0f249b6bfb80c9d8c9fe23aed46
+DIST scipy-1.1.0-ref.pdf 34360806 BLAKE2B f82807879d5d36d91d74e8983a0f4104bcb4b69cb7787fe5190f73fbbfcb8635a9399686b3c75736d3b0b5dd877b5280ff6fba728520e3b47c13ffc7835f8cd6 SHA512 c792064c986dffafa3c5d0741f30715028e655761d099f0fdd472270cf34642b367dfa2178ddceba13043a471e3aeb1db20d65308dbb40c704dab576aaadeb3e
+DIST scipy-1.1.0.tar.gz 15583560 BLAKE2B 477753e622ee26a3bc8c2cb6829410152df84b29ce17a6d53a66348f5536f7993fedf5d32b782405b54b3af3feabf9bc91c381ed39546076849c2fdb71039404 SHA512 72fe32c6c009613cb78202598e5db14f8e630b3218839cfe18d43d40550d94cc5aa100c6f5d41f40e86ae148e9b6a13431bb91b0f9be44b0569ccd7b725fe973
+DIST scipy-1.4.1-html.zip 61414053 BLAKE2B e1f0c1a7a8941958512dcc3c0f40ef4a590bab0b44b33f842bc6e1c5d103c17f223d8b0a2f4e564f57645d601d4d74005c1ec605be2dd3bf4db19d2ac1f614d1 SHA512 9eeae83cd723d63aa1dc7a610ce3118cb68a2336be24cbfeaa8e57b34de413b2efa2fdad0978eb5bdac0ebca6b15f564b9509637efbd87d1007c969ae954e3ae
+DIST scipy-1.4.1-ref.pdf 41100747 BLAKE2B 8e56af69d0bffbe6eff73bfc5bb674aed3b80bdd80d59b58a1835f996c992306a059c2992d74c411e762490c526262753d33273613ed389928845c65eb6546b2 SHA512 76946f3b506fe22a595b70e5a418982257dd59db1a2e9af508cc1cab59d47ba4fc5951388e676f2a513043a6b3391ef853242e78d7feb99a6c21d19f6dca2b58
+DIST scipy-1.4.1.tar.gz 24555206 BLAKE2B e35f6234404839cbd24d463c8cc2f1ea66aed91534e700fd54a623df40d069b14fc220f96af04c78d13b773bfc5461559e59b0bd9b836d7953f9249ccd7cae54 SHA512 79407a2cbb4ba29c0941570181df4d7835e5791e50a3abef9b63c2fc5b15308a2e4964eb71cdebbee8cd2dcb8e497cf92fe50ee21fb12cac3013ea5e0466b25d
+DIST scipy-1.5.0-html.zip 23579592 BLAKE2B 6e35a881967d38db67278d6990fbb1912238bca05c7064585aaaf849861371680c2cd5d3e9a150301c29984aa12db0eeebf5f23cb7d2a438edb28fed9654ac79 SHA512 a1dcf9c2d003b1f722a216c8bf0fda7022765c01505343e86da64ec9a4dbda4eb7da74ad09147e5b79e610f090740d19bda6017d6f894f2566547a42e8aa97b3
+DIST scipy-1.5.0-ref.pdf 33694300 BLAKE2B a7701cdfd8f6da71b59efcefca5c080426b175976429cb64d47f05f42795fea3abb6764c2e2d1807f215c9e00ccd5b2de254f1c68269b266492dfaf76f887972 SHA512 3208ab84421fbec0597931c6050666e9da7d21c6e73a685f084e9570a39539e9c2e5f7fbdfe27951b2ba8e51a1bc42b06ddd6c906a6a13c81a34a16dc0672dda
+DIST scipy-1.5.0.tar.gz 25573194 BLAKE2B f505e5f0627687aeefe0af0886b03eead9f6426f17bca21a3f73cc0d4957ac574e0123b86424ccf0d5f8f4a963b707a1443ddcd6e149f2a4e747daa55b1be95c SHA512 4c981a3125a88593cbc5a17417022a5db8f6ccb4c1c24e78afeb9bb26428b81d2d0fe9965caa418753b1bbbda2fa30533fa1307aac6ab168458d68f7b46049be
+DIST scipy-1.5.1-html.zip 23582280 BLAKE2B 97b256bc7367836f35ce7e0ac47436dd72c1afe249dea1a2f437ea883e74ecb8f5bbe22e20bb804aac66b86fb35e8b4f0e329c44d9d601318ef1accc82e8e850 SHA512 eb0c7736d2bdc9f45926d19f4a22e1168d0f06e21b338cd7e7884af79c7634885350c510251d4cd1629b2a294003e93f8e71bafd8ec64c1aea4d4174c3946597
+DIST scipy-1.5.1-ref.pdf 33698325 BLAKE2B 6ff0d13474acf2960352580765c86ef54faa9bb616b4b8097665fa3b8a3a6033acb524d5bb76757b23d0ea9550b556293509a91e5cbeb7b0a388ea75d1bec29b SHA512 c0fbebb5dec19aebe7783507ccebf28134227096caad915e1f28f963386a07b1246fa624e4680691809c5ba31a09d3dd6e4f27f9e86f5985f8a7eecb1eea82d3
+DIST scipy-1.5.1.tar.gz 25575560 BLAKE2B e431a54f1810590b75d0f115bdbcd3c561d0d918664d91654fa4f2583d4d2807deae36b3293be0a5add650fb5d99f744e1d893d369f6053741d863e2826dcc3c SHA512 d46abaaa52e5521d8f3f6d79f58c8473a8649faa01e93d250d2ee19d5778e31c13aaa855bd8f059ddc1424ae13001f15a41f240fa6b0acf3ffd911ea30da1040
+DIST scipy-1.5.2-html.zip 23166876 BLAKE2B a90d6a2eb25c56147c0c1cccb58cddd230c20cd70dcc5c39b7307acaeac5320ff1c6ed46e3027ec40f604db503a90620cf87212e45f3158c667ec20d95bac649 SHA512 35c675821675844b163eacdaf448173edb78adb5e9f3e438a70809b8b59425a987fd3ed7d6f7863612111ece4a6a36504279ef4492166f5e24a9b2c7ea9d21e7
+DIST scipy-1.5.2-ref.pdf 33462200 BLAKE2B 5784612eb41221a02520778d72341702a7dd4ee8c0147592e170054107219b03af4ccebe1f5e2a57f90f3b892455f95ec45d8eac8e4a7155e21e9ae0526b302f SHA512 15961b7280eb903d2db7a05915b94b3c298cabf68a6694da217680e23fe621885dd169dc88a033ee001a89bc6e6b13ef787ec61009f6ffe38aeaa2dfb84f8a47
+DIST scipy-1.5.2.tar.gz 25423944 BLAKE2B 0a4987da0cde4f33bbb0e2be571b59e9064b1c6554c61c1655100abdecfde54d64845cd30c5b3fcac3ae7426572757aa9a66065dd3b48e6e4cdd4d0ea847868e SHA512 45463df30a0f6270d9f4cf52235f31607904a6ae1375e12600e7f1ab2d27b1dc25a6211b49dceb71506be22c756890adaf9f81d9e6be7455def86c9caf0dc923
diff --git a/dev-python/scipy/metadata.xml b/dev-python/scipy/metadata.xml
new file mode 100644
index 000000000000..f1d093c366af
--- /dev/null
+++ b/dev-python/scipy/metadata.xml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ SciPy is an open source library of scientific tools for Python. SciPy
+ supplements the popular numpy module, gathering a variety of high level
+ science and engineering modules together as a single package.
+ SciPy includes modules for graphics and plotting, optimization,
+ integration, special functions, signal and image processing, genetic
+ algorithms, ODE solvers, and others.
+</longdescription>
+ <use>
+ <flag name="sparse">Adds support for sparse solving with <pkg>sci-libs/umfpack</pkg></flag>
+ </use>
+ <upstream>
+ <remote-id type="pypi">scipy</remote-id>
+ <remote-id type="sourceforge">scipy</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/scipy/scipy-1.1.0.ebuild b/dev-python/scipy/scipy-1.1.0.ebuild
new file mode 100644
index 000000000000..119210dc4f00
--- /dev/null
+++ b/dev-python/scipy/scipy-1.1.0.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+DOC_PV=${PV}
+
+inherit fortran-2 distutils-r1 flag-o-matic multiprocessing toolchain-funcs
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="https://www.scipy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${PV}.zip -> ${PN}-${DOC_PV}-html.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${PV}.pdf -> ${PN}-${DOC_PV}-ref.pdf
+ )"
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+IUSE="doc sparse test"
+RESTRICT="!test? ( test )"
+KEYWORDS="amd64 ~arm ~arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+
+CDEPEND="
+ >=dev-python/numpy-1.10[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:0=
+ virtual/cblas
+ virtual/lapack
+ sparse? ( sci-libs/umfpack:0= )"
+DEPEND="${CDEPEND}
+ dev-lang/swig
+ >=dev-python/cython-0.22[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-36[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${CDEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]"
+
+DOCS=( HACKING.rst.txt THANKS.txt )
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-${DOC_PV}-html.zip -d html || die
+ fi
+}
+
+pc_incdir() {
+ $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+ sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+ $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+ sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+ $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+ sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+ -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+ | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+ # scipy automatically detects libraries by default
+ export {FFTW,FFTW3,UMFPACK}=None
+ use sparse && unset UMFPACK
+ # the missing symbols are in -lpythonX.Y, but since the version can
+ # differ, we just introduce the same scaryness as on Linux/ELF
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+ [[ -z ${FC} ]] && export FC="$(tc-getFC)"
+ # hack to force F77 to be FC until bug #278772 is fixed
+ [[ -z ${F77} ]] && export F77="$(tc-getFC)"
+ export F90="${FC}"
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+ append-fflags -fPIC
+
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = $(pc_incdir cblas)
+ library_dirs = $(pc_libdir cblas blas):${libdir}
+ blas_libs = $(pc_libs cblas blas)
+ [lapack]
+ library_dirs = $(pc_libdir lapack):${libdir}
+ lapack_libs = $(pc_libs lapack)
+ EOF
+
+ # Drop hashes to force rebuild of cython based .c code
+ rm cythonize.dat || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # bug 721860
+ test-flag-FC -fallow-argument-mismatch &&
+ append-fflags -fallow-argument-mismatch
+}
+
+python_compile() {
+ # FIXME: parallel python building fails, bug #614464
+ ${EPYTHON} tools/cythonize.py || die
+ distutils-r1_python_compile \
+ ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # fails with bdist_egg. should it be fixed in distutils-r1 eclass?
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ cd "${TEST_DIR}" || die "no ${TEST_DIR} available"
+ "${PYTHON}" -c \
+ 'import numpy as np; print("relaxed strides checking:", np.ones((10,1),order="C").flags.f_contiguous)' \
+ || die
+ "${EPYTHON}" -c \
+ "import scipy, sys; r = scipy.test('fast', verbose=2); sys.exit(r)" \
+ || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-${DOC_PV}-ref.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ distutils-r1_python_install_all
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+}
+
+pkg_postinst() {
+ elog "You might want to set the variable SCIPY_PIL_IMAGE_VIEWER"
+ elog "to your prefered image viewer. Example:"
+ elog "\t echo \"export SCIPY_PIL_IMAGE_VIEWER=display\" >> ~/.bashrc"
+}
diff --git a/dev-python/scipy/scipy-1.4.1.ebuild b/dev-python/scipy/scipy-1.4.1.ebuild
new file mode 100644
index 000000000000..90fb741b4d73
--- /dev/null
+++ b/dev-python/scipy/scipy-1.4.1.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+
+DOC_PV=${PV}
+
+inherit fortran-2 distutils-r1 flag-o-matic multiprocessing toolchain-funcs
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="https://www.scipy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${PV}.zip -> ${PN}-${DOC_PV}-html.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${PV}.pdf -> ${PN}-${DOC_PV}-ref.pdf
+ )"
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="doc sparse test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+ >=dev-python/numpy-1.10[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:0=
+ virtual/cblas
+ virtual/lapack
+ sparse? ( sci-libs/umfpack:0= )"
+DEPEND="${CDEPEND}
+ dev-lang/swig
+ >=dev-python/cython-0.29.13[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-36[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${CDEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]"
+
+DOCS=( HACKING.rst.txt THANKS.txt )
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-${DOC_PV}-html.zip -d html || die
+ fi
+}
+
+pc_incdir() {
+ $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+ sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+ $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+ sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+ $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+ sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+ -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+ | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+ # scipy automatically detects libraries by default
+ export {FFTW,FFTW3,UMFPACK}=None
+ use sparse && unset UMFPACK
+ # the missing symbols are in -lpythonX.Y, but since the version can
+ # differ, we just introduce the same scaryness as on Linux/ELF
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+ [[ -z ${FC} ]] && export FC="$(tc-getFC)"
+ # hack to force F77 to be FC until bug #278772 is fixed
+ [[ -z ${F77} ]] && export F77="$(tc-getFC)"
+ export F90="${FC}"
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+ append-fflags -fPIC
+
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = $(pc_incdir cblas)
+ library_dirs = $(pc_libdir cblas blas):${libdir}
+ blas_libs = $(pc_libs cblas blas)
+ [lapack]
+ library_dirs = $(pc_libdir lapack):${libdir}
+ lapack_libs = $(pc_libs lapack)
+ EOF
+ cat >> setup.cfg <<-EOF || die
+ [options]
+ zip_safe = False
+ EOF
+
+ # Drop hashes to force rebuild of cython based .c code
+ rm cythonize.dat || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # bug 721860
+ test-flag-FC -fallow-argument-mismatch &&
+ append-fflags -fallow-argument-mismatch
+}
+
+python_compile() {
+ # FIXME: parallel python building fails, bug #614464
+ export MAKEOPTS=-j1
+
+ ${EPYTHON} tools/cythonize.py || die
+ distutils-r1_python_compile \
+ ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # fails with bdist_egg. should it be fixed in distutils-r1 eclass?
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ cd "${TEST_DIR}/lib" || die "no ${TEST_DIR} available"
+ PYTHONPATH=. "${EPYTHON}" -c "
+import scipy, sys
+r = scipy.test('fast', verbose=2)
+sys.exit(0 if r else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-${DOC_PV}-ref.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ distutils-r1_python_install_all
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+ python_optimize
+}
+
+pkg_postinst() {
+ elog "You might want to set the variable SCIPY_PIL_IMAGE_VIEWER"
+ elog "to your prefered image viewer. Example:"
+ elog "\t echo \"export SCIPY_PIL_IMAGE_VIEWER=display\" >> ~/.bashrc"
+}
diff --git a/dev-python/scipy/scipy-1.5.0.ebuild b/dev-python/scipy/scipy-1.5.0.ebuild
new file mode 100644
index 000000000000..21948a8eb2c5
--- /dev/null
+++ b/dev-python/scipy/scipy-1.5.0.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+
+DOC_PV=${PV}
+
+inherit fortran-2 distutils-r1 flag-o-matic multiprocessing toolchain-funcs
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="https://www.scipy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${PV}.zip -> ${PN}-${DOC_PV}-html.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${PV}.pdf -> ${PN}-${DOC_PV}-ref.pdf
+ )"
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="doc sparse test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+ >=dev-python/numpy-1.10[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:0=
+ virtual/cblas
+ virtual/lapack
+ sparse? ( sci-libs/umfpack:0= )"
+DEPEND="${CDEPEND}
+ dev-lang/swig
+ >=dev-python/cython-0.29.13[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-36[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${CDEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]"
+
+DOCS=( HACKING.rst.txt THANKS.txt )
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-${DOC_PV}-html.zip -d html || die
+ fi
+}
+
+pc_incdir() {
+ $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+ sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+ $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+ sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+ $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+ sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+ -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+ | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+ # scipy automatically detects libraries by default
+ export {FFTW,FFTW3,UMFPACK}=None
+ use sparse && unset UMFPACK
+ # the missing symbols are in -lpythonX.Y, but since the version can
+ # differ, we just introduce the same scaryness as on Linux/ELF
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+ [[ -z ${FC} ]] && export FC="$(tc-getFC)"
+ # hack to force F77 to be FC until bug #278772 is fixed
+ [[ -z ${F77} ]] && export F77="$(tc-getFC)"
+ export F90="${FC}"
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+ append-fflags -fPIC
+
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = $(pc_incdir cblas)
+ library_dirs = $(pc_libdir cblas blas):${libdir}
+ blas_libs = $(pc_libs cblas blas)
+ [lapack]
+ library_dirs = $(pc_libdir lapack):${libdir}
+ lapack_libs = $(pc_libs lapack)
+ EOF
+ cat >> setup.cfg <<-EOF || die
+ [options]
+ zip_safe = False
+ EOF
+
+ # Drop hashes to force rebuild of cython based .c code
+ rm cythonize.dat || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # bug 721860
+ test-flag-FC -fallow-argument-mismatch &&
+ append-fflags -fallow-argument-mismatch
+}
+
+python_compile() {
+ # FIXME: parallel python building fails, bug #614464
+ export MAKEOPTS=-j1
+
+ ${EPYTHON} tools/cythonize.py || die
+ distutils-r1_python_compile \
+ ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # fails with bdist_egg. should it be fixed in distutils-r1 eclass?
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ cd "${TEST_DIR}/lib" || die "no ${TEST_DIR} available"
+ PYTHONPATH=. "${EPYTHON}" -c "
+import scipy, sys
+r = scipy.test('fast', verbose=2)
+sys.exit(0 if r else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-${DOC_PV}-ref.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ distutils-r1_python_install_all
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+ python_optimize
+}
+
+pkg_postinst() {
+ elog "You might want to set the variable SCIPY_PIL_IMAGE_VIEWER"
+ elog "to your prefered image viewer. Example:"
+ elog "\t echo \"export SCIPY_PIL_IMAGE_VIEWER=display\" >> ~/.bashrc"
+}
diff --git a/dev-python/scipy/scipy-1.5.1.ebuild b/dev-python/scipy/scipy-1.5.1.ebuild
new file mode 100644
index 000000000000..21948a8eb2c5
--- /dev/null
+++ b/dev-python/scipy/scipy-1.5.1.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+
+DOC_PV=${PV}
+
+inherit fortran-2 distutils-r1 flag-o-matic multiprocessing toolchain-funcs
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="https://www.scipy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${PV}.zip -> ${PN}-${DOC_PV}-html.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${PV}.pdf -> ${PN}-${DOC_PV}-ref.pdf
+ )"
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="doc sparse test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+ >=dev-python/numpy-1.10[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:0=
+ virtual/cblas
+ virtual/lapack
+ sparse? ( sci-libs/umfpack:0= )"
+DEPEND="${CDEPEND}
+ dev-lang/swig
+ >=dev-python/cython-0.29.13[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-36[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${CDEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]"
+
+DOCS=( HACKING.rst.txt THANKS.txt )
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-${DOC_PV}-html.zip -d html || die
+ fi
+}
+
+pc_incdir() {
+ $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+ sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+ $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+ sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+ $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+ sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+ -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+ | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+ # scipy automatically detects libraries by default
+ export {FFTW,FFTW3,UMFPACK}=None
+ use sparse && unset UMFPACK
+ # the missing symbols are in -lpythonX.Y, but since the version can
+ # differ, we just introduce the same scaryness as on Linux/ELF
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+ [[ -z ${FC} ]] && export FC="$(tc-getFC)"
+ # hack to force F77 to be FC until bug #278772 is fixed
+ [[ -z ${F77} ]] && export F77="$(tc-getFC)"
+ export F90="${FC}"
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+ append-fflags -fPIC
+
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = $(pc_incdir cblas)
+ library_dirs = $(pc_libdir cblas blas):${libdir}
+ blas_libs = $(pc_libs cblas blas)
+ [lapack]
+ library_dirs = $(pc_libdir lapack):${libdir}
+ lapack_libs = $(pc_libs lapack)
+ EOF
+ cat >> setup.cfg <<-EOF || die
+ [options]
+ zip_safe = False
+ EOF
+
+ # Drop hashes to force rebuild of cython based .c code
+ rm cythonize.dat || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # bug 721860
+ test-flag-FC -fallow-argument-mismatch &&
+ append-fflags -fallow-argument-mismatch
+}
+
+python_compile() {
+ # FIXME: parallel python building fails, bug #614464
+ export MAKEOPTS=-j1
+
+ ${EPYTHON} tools/cythonize.py || die
+ distutils-r1_python_compile \
+ ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # fails with bdist_egg. should it be fixed in distutils-r1 eclass?
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ cd "${TEST_DIR}/lib" || die "no ${TEST_DIR} available"
+ PYTHONPATH=. "${EPYTHON}" -c "
+import scipy, sys
+r = scipy.test('fast', verbose=2)
+sys.exit(0 if r else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-${DOC_PV}-ref.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ distutils-r1_python_install_all
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+ python_optimize
+}
+
+pkg_postinst() {
+ elog "You might want to set the variable SCIPY_PIL_IMAGE_VIEWER"
+ elog "to your prefered image viewer. Example:"
+ elog "\t echo \"export SCIPY_PIL_IMAGE_VIEWER=display\" >> ~/.bashrc"
+}
diff --git a/dev-python/scipy/scipy-1.5.2.ebuild b/dev-python/scipy/scipy-1.5.2.ebuild
new file mode 100644
index 000000000000..52f1cb13642f
--- /dev/null
+++ b/dev-python/scipy/scipy-1.5.2.ebuild
@@ -0,0 +1,160 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+
+DOC_PV=${PV}
+
+inherit fortran-2 distutils-r1 flag-o-matic multiprocessing toolchain-funcs
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="https://www.scipy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${PV}.zip -> ${PN}-${DOC_PV}-html.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${PV}.pdf -> ${PN}-${DOC_PV}-ref.pdf
+ )"
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="doc sparse test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+ >=dev-python/numpy-1.10[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:0=
+ virtual/cblas
+ virtual/lapack
+ sparse? ( sci-libs/umfpack:0= )"
+DEPEND="${CDEPEND}
+ dev-lang/swig
+ >=dev-python/cython-0.29.13[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-36[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${CDEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]"
+
+DOCS=( HACKING.rst.txt THANKS.txt )
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-${DOC_PV}-html.zip -d html || die
+ fi
+}
+
+pc_incdir() {
+ $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+ sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+ $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+ sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+ $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+ sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+ -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+ | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+ # scipy automatically detects libraries by default
+ export {FFTW,FFTW3,UMFPACK}=None
+ use sparse && unset UMFPACK
+ # the missing symbols are in -lpythonX.Y, but since the version can
+ # differ, we just introduce the same scaryness as on Linux/ELF
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+ [[ -z ${FC} ]] && export FC="$(tc-getFC)"
+ # hack to force F77 to be FC until bug #278772 is fixed
+ [[ -z ${F77} ]] && export F77="$(tc-getFC)"
+ export F90="${FC}"
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+ append-fflags -fPIC
+
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = $(pc_incdir cblas)
+ library_dirs = $(pc_libdir cblas blas):${libdir}
+ blas_libs = $(pc_libs cblas blas)
+ [lapack]
+ library_dirs = $(pc_libdir lapack):${libdir}
+ lapack_libs = $(pc_libs lapack)
+ EOF
+ cat >> setup.cfg <<-EOF || die
+ [options]
+ zip_safe = False
+ EOF
+
+ # Drop hashes to force rebuild of cython based .c code
+ rm cythonize.dat || die
+
+ # TODO
+ sed -e 's:test_magic_square_sparse_no_presolve:_&:' \
+ -i scipy/optimize/tests/test_linprog.py || die
+ sed -e "s:== 'levy_stable':in ('levy_stable', 'crystalball', 'ncf'):" \
+ -i scipy/stats/tests/test_continuous_basic.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # bug 721860
+ test-flag-FC -fallow-argument-mismatch &&
+ append-fflags -fallow-argument-mismatch
+}
+
+python_compile() {
+ # FIXME: parallel python building fails, bug #614464
+ export MAKEOPTS=-j1
+
+ ${EPYTHON} tools/cythonize.py || die
+ distutils-r1_python_compile \
+ ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # fails with bdist_egg. should it be fixed in distutils-r1 eclass?
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ cd "${TEST_DIR}/lib" || die "no ${TEST_DIR} available"
+ PYTHONPATH=. "${EPYTHON}" -c "
+import scipy, sys
+r = scipy.test('fast', verbose=2)
+sys.exit(0 if r else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-${DOC_PV}-ref.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ distutils-r1_python_install_all
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+ python_optimize
+}
+
+pkg_postinst() {
+ elog "You might want to set the variable SCIPY_PIL_IMAGE_VIEWER"
+ elog "to your prefered image viewer. Example:"
+ elog "\t echo \"export SCIPY_PIL_IMAGE_VIEWER=display\" >> ~/.bashrc"
+}
diff --git a/dev-python/seaborn/seaborn-0.10.0.ebuild b/dev-python/seaborn/seaborn-0.10.0.ebuild
index ede4b500f025..73f07500f393 100644
--- a/dev-python/seaborn/seaborn-0.10.0.ebuild
+++ b/dev-python/seaborn/seaborn-0.10.0.ebuild
@@ -23,7 +23,7 @@ RDEPEND="
>=dev-python/pandas-0.22.0[${PYTHON_USEDEP}]
dev-python/patsy[${PYTHON_USEDEP}]
dev-python/statsmodels[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.0.1[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
test? (
diff --git a/dev-python/seaborn/seaborn-0.10.1.ebuild b/dev-python/seaborn/seaborn-0.10.1.ebuild
index 3075fc84222b..7b4da3c7d23c 100644
--- a/dev-python/seaborn/seaborn-0.10.1.ebuild
+++ b/dev-python/seaborn/seaborn-0.10.1.ebuild
@@ -23,7 +23,7 @@ RDEPEND="
>=dev-python/pandas-0.22.0[${PYTHON_USEDEP}]
dev-python/patsy[${PYTHON_USEDEP}]
dev-python/statsmodels[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.0.1[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
test? (
diff --git a/dev-python/simplespectral/metadata.xml b/dev-python/simplespectral/metadata.xml
index f26be1adc30c..3d1f57eeceec 100644
--- a/dev-python/simplespectral/metadata.xml
+++ b/dev-python/simplespectral/metadata.xml
@@ -10,7 +10,7 @@
<name>Radio</name>
</maintainer>
<use>
- <flag name="faster">Use <pkg>sci-libs/scipy</pkg> to speed up drawing</flag>
+ <flag name="faster">Use <pkg>dev-python/scipy</pkg> to speed up drawing</flag>
<flag name="fastest">Use <pkg>dev-python/pyFFTW</pkg> to speed up drawing to the max</flag>
</use>
<upstream>
diff --git a/dev-python/simplespectral/simplespectral-1.0.0.ebuild b/dev-python/simplespectral/simplespectral-1.0.0.ebuild
index 6bf7df5c0f98..69a8968c912f 100644
--- a/dev-python/simplespectral/simplespectral-1.0.0.ebuild
+++ b/dev-python/simplespectral/simplespectral-1.0.0.ebuild
@@ -24,7 +24,7 @@ fi
IUSE="faster +fastest"
RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
- faster? ( sci-libs/scipy[${PYTHON_USEDEP}] )
+ faster? ( dev-python/scipy[${PYTHON_USEDEP}] )
fastest? ( dev-python/pyFFTW[${PYTHON_USEDEP}] )"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/simplespectral/simplespectral-9999.ebuild b/dev-python/simplespectral/simplespectral-9999.ebuild
index 6bf7df5c0f98..69a8968c912f 100644
--- a/dev-python/simplespectral/simplespectral-9999.ebuild
+++ b/dev-python/simplespectral/simplespectral-9999.ebuild
@@ -24,7 +24,7 @@ fi
IUSE="faster +fastest"
RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
- faster? ( sci-libs/scipy[${PYTHON_USEDEP}] )
+ faster? ( dev-python/scipy[${PYTHON_USEDEP}] )
fastest? ( dev-python/pyFFTW[${PYTHON_USEDEP}] )"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/spyder-kernels/spyder-kernels-1.9.2.ebuild b/dev-python/spyder-kernels/spyder-kernels-1.9.2.ebuild
index 5f51d2e2363b..5e3b1c799882 100644
--- a/dev-python/spyder-kernels/spyder-kernels-1.9.2.ebuild
+++ b/dev-python/spyder-kernels/spyder-kernels-1.9.2.ebuild
@@ -30,7 +30,7 @@ DEPEND="test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
dev-python/xarray[${PYTHON_USEDEP}]
)"
diff --git a/dev-python/spyder-kernels/spyder-kernels-1.9.4.ebuild b/dev-python/spyder-kernels/spyder-kernels-1.9.4.ebuild
index 979f038c90f7..e22e8887eb63 100644
--- a/dev-python/spyder-kernels/spyder-kernels-1.9.4.ebuild
+++ b/dev-python/spyder-kernels/spyder-kernels-1.9.4.ebuild
@@ -30,7 +30,7 @@ DEPEND="test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
dev-python/xarray[${PYTHON_USEDEP}]
)"
diff --git a/dev-python/spyder/spyder-4.1.4.ebuild b/dev-python/spyder/spyder-4.1.4.ebuild
index 557c7b2359f0..7fc9e74e9422 100644
--- a/dev-python/spyder/spyder-4.1.4.ebuild
+++ b/dev-python/spyder/spyder-4.1.4.ebuild
@@ -67,7 +67,7 @@ DEPEND="test? (
dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
dev-python/pytest-qt[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
dev-python/sympy[${PYTHON_USEDEP}]
dev-python/xarray[${PYTHON_USEDEP}]
)"
@@ -137,7 +137,7 @@ pkg_postinst() {
optfeature "View and edit DataFrames and Series in the Variable Explorer" dev-python/pandas
optfeature "View and edit two or three dimensional arrays in the Variable Explorer" dev-python/numpy
optfeature "Symbolic mathematics in the IPython console" dev-python/sympy
- optfeature "Import Matlab workspace files in the Variable Explorer" sci-libs/scipy
+ optfeature "Import Matlab workspace files in the Variable Explorer" dev-python/scipy
optfeature "Run Cython files in the IPython console" dev-python/cython
optfeature "The hdf5/h5py plugin" dev-python/h5py
optfeature "The line profiler plugin" dev-python/spyder-line-profiler
diff --git a/dev-python/spyder/spyder-4.1.5.ebuild b/dev-python/spyder/spyder-4.1.5.ebuild
index d8bcd60bdc25..8e298c03b636 100644
--- a/dev-python/spyder/spyder-4.1.5.ebuild
+++ b/dev-python/spyder/spyder-4.1.5.ebuild
@@ -90,7 +90,7 @@ BDEPEND="test? (
dev-python/pytest-qt[${PYTHON_USEDEP}]
dev-python/pytest-xvfb[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
dev-python/sympy[${PYTHON_USEDEP}]
)"
@@ -190,7 +190,7 @@ pkg_postinst() {
optfeature "View and edit DataFrames and Series in the Variable Explorer" dev-python/pandas
optfeature "View and edit two or three dimensional arrays in the Variable Explorer" dev-python/numpy
optfeature "Symbolic mathematics in the IPython console" dev-python/sympy
- optfeature "Import Matlab workspace files in the Variable Explorer" sci-libs/scipy
+ optfeature "Import Matlab workspace files in the Variable Explorer" dev-python/scipy
optfeature "Run Cython files in the IPython console" dev-python/cython
optfeature "The hdf5/h5py plugin" dev-python/h5py
optfeature "The line profiler plugin" dev-python/spyder-line-profiler
diff --git a/dev-python/statsmodels/statsmodels-0.11.1.ebuild b/dev-python/statsmodels/statsmodels-0.11.1.ebuild
index 4abed0cfcb29..997b3203528d 100644
--- a/dev-python/statsmodels/statsmodels-0.11.1.ebuild
+++ b/dev-python/statsmodels/statsmodels-0.11.1.ebuild
@@ -21,7 +21,7 @@ RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
>=dev-python/pandas-0.23.0[${PYTHON_USEDEP}]
dev-python/patsy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
"
BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
diff --git a/dev-python/statsmodels/statsmodels-0.12.0.ebuild b/dev-python/statsmodels/statsmodels-0.12.0.ebuild
index c1acf54013fe..cb0c73adee24 100644
--- a/dev-python/statsmodels/statsmodels-0.12.0.ebuild
+++ b/dev-python/statsmodels/statsmodels-0.12.0.ebuild
@@ -20,12 +20,12 @@ RDEPEND="
>=dev-python/numpy-1.15[${PYTHON_USEDEP}]
>=dev-python/pandas-0.23.0[${PYTHON_USEDEP}]
dev-python/patsy[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
"
BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
>=dev-python/numpy-1.15[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
test? (
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
diff --git a/dev-python/statsmodels/statsmodels-9999.ebuild b/dev-python/statsmodels/statsmodels-9999.ebuild
index 37a2fc6336eb..c93564355042 100644
--- a/dev-python/statsmodels/statsmodels-9999.ebuild
+++ b/dev-python/statsmodels/statsmodels-9999.ebuild
@@ -21,7 +21,7 @@ CDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
dev-python/patsy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
"
RDEPEND="${CDEPEND}
examples? ( dev-python/matplotlib[${PYTHON_USEDEP}] )
diff --git a/dev-python/theano/theano-1.0.5.ebuild b/dev-python/theano/theano-1.0.5.ebuild
index ca434f006540..6f65b491df80 100644
--- a/dev-python/theano/theano-1.0.5.ebuild
+++ b/dev-python/theano/theano-1.0.5.ebuild
@@ -23,7 +23,7 @@ BDEPEND="test? ( dev-python/parameterized[${PYTHON_USEDEP}] )"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
"
distutils_enable_tests nose
diff --git a/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild b/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild
index 9bd714fa2fe7..d079411a0592 100644
--- a/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild
+++ b/dev-python/tikzplotlib/tikzplotlib-0.9.1.ebuild
@@ -23,7 +23,7 @@ RDEPEND="
DEPEND="test? (
dev-python/pandas[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}] )"
+ dev-python/scipy[${PYTHON_USEDEP}] )"
distutils_enable_tests pytest
distutils_enable_sphinx doc dev-python/mock
diff --git a/dev-python/uranium/uranium-4.6.1.ebuild b/dev-python/uranium/uranium-4.6.1.ebuild
index e2a3e9d997e2..19a97cf4fd23 100644
--- a/dev-python/uranium/uranium-4.6.1.ebuild
+++ b/dev-python/uranium/uranium-4.6.1.ebuild
@@ -35,7 +35,7 @@ DEPEND="${PYTHON_DEPS}
$(python_gen_cond_dep '
dev-python/PyQt5[${PYTHON_MULTI_USEDEP},declarative,network,svg]
dev-python/numpy[${PYTHON_MULTI_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_MULTI_USEDEP}]
sci-libs/Shapely[${PYTHON_MULTI_USEDEP}]
')"
diff --git a/dev-python/uranium/uranium-4.7.0.ebuild b/dev-python/uranium/uranium-4.7.0.ebuild
index 7e03615ebb5b..4d6dc957d694 100644
--- a/dev-python/uranium/uranium-4.7.0.ebuild
+++ b/dev-python/uranium/uranium-4.7.0.ebuild
@@ -34,7 +34,7 @@ DEPEND="${PYTHON_DEPS}
$(python_gen_cond_dep '
dev-python/PyQt5[${PYTHON_USEDEP},declarative,network,svg]
dev-python/numpy[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
sci-libs/Shapely[${PYTHON_USEDEP}]
')"
diff --git a/dev-python/xarray/xarray-0.12.1.ebuild b/dev-python/xarray/xarray-0.12.1.ebuild
index e37cd7cb6f69..5339b36685a5 100644
--- a/dev-python/xarray/xarray-0.12.1.ebuild
+++ b/dev-python/xarray/xarray-0.12.1.ebuild
@@ -25,7 +25,7 @@ DEPEND="
test? (
>=dev-python/dask-0.18.2[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
)"
PATCHES=(
diff --git a/dev-python/xarray/xarray-0.16.0.ebuild b/dev-python/xarray/xarray-0.16.0.ebuild
index 67c0b3aaa1ae..b31fa72fde94 100644
--- a/dev-python/xarray/xarray-0.16.0.ebuild
+++ b/dev-python/xarray/xarray-0.16.0.ebuild
@@ -28,7 +28,7 @@ BDEPEND="
dev-python/hypothesis[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/toolz[${PYTHON_USEDEP}]
- >=sci-libs/scipy-1.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest